Subject: [Tools-discuss] Thinking about the state change "send to IESG"

From: Fred Baker <[email-masked]>
Date: Fri, 27 May 2011 06:31:37 -0700

There is a mechanism in the new tool to submit an document write-up, which is good as far as it goes; instead of sending an email to my AD copying the IESG Secretary, I can now write it in a file and upload the file. I'm thinking through the steps there.

Thinking through processes. Do I have this correct?

  - place draft in state "wish I were a WG draft"
  - tic tic tic
  - ask author to post a new draft draft-ietf-<wg>-*
  - tic tic tic
  - notify secretariat to accept said draft, or respond so to a query
  - tic tic tic
  - observe new draft and place draft in state "working group draft".
  - advise secretariat that draft-ietf-<wg>-* replaces draft-<person>-<wg>-*

1) Can I place a draft draft-<person>-<wg>-* in the "working group draft" state?
2) If yes, is there a way to note "pending replacement by draft-ietf-<wg>-*"

Ideally, if I could do that, I would now have a working group draft and could forget the rest of the process steps here; it becomes

  - place draft in state "wish I were a WG draft"
  - tic tic tic
  - ask author to post a new draft draft-ietf-<wg>-*
    note that draft-<person>-<wg>-* is pending replacement by draft-ietf-<wg>-*

Later in the game, I go to WGLC:
  - place draft-*-<wg>-* into WGLC call state
  - assign a shepherd (different screen)
  - send an email announcing WGLC
  - tic tic tic
  - create doc shepherd writeup in separate file
  - upload doc shepherd writeup to datatracker
  - note new state ("sent to IESG") (different screen)
  - send email to AD copying whoever

IESG now makes a comment
  - AD files comment/discuss
  - secretariat notes that "revised ID is needed"
  - go to screen to note new annotation tags
  - while no new ID posted
      - ask the author (who already has an email from the datatracker) to file a new ID
      - tic tic tic
  - go to screen to clear annotation tags
  - while no change
      - bug relevant ADs
      - tic tic tic

You get the idea. This seems fairly manual and labor intensive, and many things are on different screens that look like they should be done together. It seems like some of the steps could be automated or at least suggested - "you're entering a draft shepherd writeup; would you like to assign a draft shepherd? would you like me to drop a note to the AD?" "An AD posted a 'discuss'; annotate that a revised ID is needed due to an issue raised by an AD". If it remains totally manual, I suspect that it will wind up with a lot of crazy pseudo-state in time - an RFC, when you look at the draft it came from, still needs a revised ID because the shepherd neglected to clear the flag, or other such things.

Just a thought...